Updates Autoscaler settings
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"services": {}
}'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings"
payload = { "services": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({services: {}})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": {}
}Autoscaling
Updates Autoscaler settings
Updates Autoscaler settings
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
autoscaling
/
settings
Updates Autoscaler settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A string that uniquely identifies the project
A string that uniquely identifies the project environment
Body
application/json
Settings to update
Update model for autoscaling settings.
This model is mainly used for partial updates (PATCH), therefore all its attributes are optional.
Each service for which autoscaling is configured is listed in the key
Show child attributes
Show child attributes
Response
200 - application/json
Updated Autoscaler settings
Update model for autoscaling settings.
This model is mainly used for partial updates (PATCH), therefore all its attributes are optional.
Each service for which autoscaling is configured is listed in the key
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?